
#include "main.h"


#include <dht11.h>

void powerup_temp(void)
{
 pinMode(pin_temp_power, OUTPUT);  
 digitalWrite(pin_temp_power, HIGH);
}


void powerdown_temp(void)
{
 pinMode(pin_temp_signal, INPUT);   
 digitalWrite(pin_temp_signal, LOW);

 digitalWrite(pin_temp_power, LOW);
 pinMode(pin_temp_power, INPUT);   
} 


void read_temp(void)
{
 dht11 DHT11;

 
 int chk = DHT11.read(pin_temp_signal);
 
// Serial.print("Read sensor: ");
/*
 switch (chk)
 {
    case DHTLIB_OK: 
    Serial.println("OK"); 
    break;
    case DHTLIB_ERROR_CHECKSUM: 
    Serial.println("Checksum error"); 
    break;
    case DHTLIB_ERROR_TIMEOUT: 
    Serial.println("Time out error"); 
    break;
    default: 
    Serial.println("Unknown error"); 
    break;
 }
*/
 pr("Humidity %d",DHT11.humidity);
 pr("Temperature %d",DHT11.temperature);

 writehumidity(DHT11.humidity);
 writetemperature(DHT11.temperature);
 
 powerdown_temp();
}
